#FROM centos:${CentOsVersion}
#FROM ${CentOsVersion}
FROM ${Cible}:${VersionCible}
LABEL maintainer='Guillaume Astier Ruiz'

ENV os="${Cible}"
ENV osversion="${VersionCible}"
ENV ESL-TOOLS=repo
ENV TERM=xterm

RUN ${PackageManager} update -y



RUN ${PackageManager} install yum-utils createrepo vim wget -y 
RUN ${PackageManager} install epel-release  -y
RUN ${PackageManager} install  screen -y
#COPY ./bin/repo.sh /usr/local/bin/repo.sh
COPY ./bin/ /usr/local/bin/
#RUN chmod 755 /usr/local/bin/repo.sh
RUN chmod 755 /usr/local/bin/*
#COPY ./bin/empty.sh /usr/local/bin/empty.sh
#RUN chmod 755 /usr/local/bin/empty.sh



RUN groupadd esl -g 1000
#RUN useradd  -s /bin/bash -g 1000 -u 1000 -p "$(/usr/bin/openssl passwd -1 esl)" esl
RUN useradd  -s /bin/bash -g 1000 -u 1000  esl
RUN mkdir /data
RUN mkdir -p /tmp/log/
RUN chown -R esl:esl /data
RUN chown -R esl:esl /tmp/log
USER esl


CMD ${Run} ${RunArg}
#ENTRYPOINT [ "${Run}" "${RunArg}" ]
